Subject: bug#6575: closed (Re: bug#6575: 24.0.50; cl's mapc not reachable)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 12 Aug 2010 13:10:03 +0000

Your bug report

#6575: 24.0.50; cl's mapc not reachable

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6575: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6575
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6575: 24.0.50; cl's mapc not reachable
From: Stefan Monnier <[email-masked]>
To: Alex Schröder <[email-masked]>
Date: Thu, 12 Aug 2010 13:05:44 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> So, a simple fix to the documentation in (cl) Mapping over Sequences is all
> that's required to close the bug.

Thanks, done,

        Stefan

> On Tue, Aug 10, 2010 at 13:05, Stefan Monnier <[email-masked]>wrote:

>> Still, I don't want to rename cl-mapc to mapc*.  If a change needs to be
>> made it is in the other direction (from mapcar* to cl-mapcar).
>> 
>> 

Subject: 24.0.50; cl's mapc not reachable
From: Alex Schroeder <[email-masked]>
To: [email-masked]
Date: Tue, 06 Jul 2010 23:15:28 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

The CL manual documents mapc accepting multiple sequences, but I always
get the built-in version. I was told about cl-mapc which appears not to
be documented in the manual. Actually, based on mapcar/mapcar* I
expected to find a function mapc* instead.

So what I'd like is to change the documentation in (cl) Mapping over
Sequences from mapc to mapc* and rename cl-mapc to mapc*.